#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library

Summary:	ATK - Accessibility Toolkit
Summary(pl.UTF-8):	ATK - biblioteka ułatwiająca niepełnosprawnym korzystanie z komputerów
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Name:		atk
Version:	2.34.1
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/atk/2.34/%{name}-%{version}.tar.xz
# Source0-md5:	f60bbaf8bdd08b93d98736b54b2fc8e9
URL:		https://developer.gnome.org/atk/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.2
BuildRequires:	glib2-devel >= 1:2.38.0
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	gobject-introspection-devel >= 1.32.0
%if %{with apidocs}
BuildRequires:	gtk-doc >= 1.25
%endif
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.728
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.38.0
Obsoletes:	libatk1.0_0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
as tools such as screen readers and magnifiers, and alternative input
devices.

%description -l pl.UTF-8
Biblioteka ATK udostępnia zestaw interfejsów ułatwiających
niepełnosprawnym korzystanie z aplikacji i poszczególnych elementów
graficznego interfejsu użytkownika. Poprzez wykorzystanie interfejsów
ATK, aplikacja lub element interfejsu może być używany z takimi
narzędziami jak czytniki ekranu i narzędzia powiększające oraz
alternatywnymi urządzeniami wejściowymi.

%description -l pt_BR.UTF-8
A biblioteca ATK provê um conjunto de interfaces para adicionar
suporte a acessibilidade para aplicações e interfaces gráficas.
Suportando a interface ATK, uma aplicação ou interface gráfica pode
ser utilizada como ferramentas de leitura e aumento de tela,
dispositivos de entrada alternativos, etc.

%package devel
Summary:	ATK - header files
Summary(pl.UTF-8):	ATK - pliki nagłówkowe
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.38.0
Obsoletes:	libatk1.0_0-devel

%description devel
ATK - header files.

%description devel -l pl.UTF-8
ATK - pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Interfaces para suporte a acessibilidade.

%package static
Summary:	ATK static library
Summary(pl.UTF-8):	Biblioteka statyczna ATK
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
ATK static library.

%description static -l pl.UTF-8
Biblioteka statyczna ATK.

%description static -l pt_BR.UTF-8
Interfaces para suporte a acessibilidade.

%package apidocs
Summary:	ATK API documentation
Summary(pl.UTF-8):	Dokumentacja API ATK
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
ATK API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API ATK.

%prep
%setup -q

%build
%meson build \
	-Ddocs=%{__true_false apidocs}

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/atk}

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr@ije,sr@ijekavian}

%find_lang atk10

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f atk10.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libatk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatk-1.0.so.0
%{_libdir}/girepository-1.0/Atk-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatk-1.0.so
%{_includedir}/atk-1.0
%{_pkgconfigdir}/atk.pc
%{_datadir}/gir-1.0/Atk-1.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libatk-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/atk
%endif
%changelog
* Sat Sep 14 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/atk.git;a=log;h=master

* Wed Sep 11 2019 Jakub Bogusz <qboosh@pld-linux.org> f491d0c
- updated to 2.34.1

* Tue Sep 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 26cacc6
- updated to 2.34.0

* Sat Mar 16 2019 Jakub Bogusz <qboosh@pld-linux.org> d5b194e
- updated to 2.32.0

* Wed Sep 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 8c52ea8
- updated to 2.30.0; now uses meson

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 3b8edf1
- Update to 2.28.1

* Mon Mar 12 2018 Marcin Banasiak <marcin.banasiak@gmail.com> a9e617b
- Update to 2.28.0

* Mon Nov 27 2017 Jakub Bogusz <qboosh@pld-linux.org> c4751c1
- updated BRs

* Mon Nov 27 2017 Jakub Bogusz <qboosh@pld-linux.org> da12a7c
- force UTF-8 locale for gtk-doc

* Tue Oct 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> fe602ae
- Update to 2.26.1

* Mon Sep 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 0c796fd
- Update to 2.26.0

* Sat Mar 18 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e055b8f
- Update to 2.24.0

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f1e681e
- Update to 2.22.0

* Tue Apr 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 03c1fb2
- gettext version

* Mon Mar 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> bf68aac
- Update to 2.20.0

* Mon Sep 21 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 4fceb95
- Update to 2.18.0

* Tue Mar 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 39fb499
- BR: python

* Mon Mar 23 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 0d65647
- Update to 2.16.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2bdf8b9
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 24 2014 Jan Rękorajski <baggins@pld-linux.org> 6002002
- updated gettext BR

* Thu Sep 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3802e31
- updated to 2.14.0

